Solid Edge FrameworkSupport Type Library
Range Method
Specifies the x coordinate of the lower-left corner the referenced object.
Specifies the y coordinate of the lower-left corner of the referenced object.
Specifies the x coordinate of the upper-right corner of the referenced object.
Specifies the y coordinate of the upper-right corner of the referenced object.
Description
Returns the high and low range values for the referenced object.
Syntax
Visual Basic
Public Sub Range( _
   ByRef XMinimum As Double, _
   ByRef YMinimum As Double, _
   ByRef XMaximum As Double, _
   ByRef YMaximum As Double _
) 
Parameters
XMinimum
Specifies the x coordinate of the lower-left corner the referenced object.
YMinimum
Specifies the y coordinate of the lower-left corner of the referenced object.
XMaximum
Specifies the x coordinate of the upper-right corner of the referenced object.
YMaximum
Specifies the y coordinate of the upper-right corner of the referenced object.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFrameWork.Application
    Dim objDoc As SolidEdgeDraft.DraftDocument
    Dim objSheet As SolidEdgeDraft.Sheet
    Dim objDatumPoints As SolidEdgeFrameworkSupport.DatumPoints
    Dim objDatumPoint As SolidEdgeFrameworkSupport.DatumPoint
    Dim dblXmin As Double, dblYmin As Double
    Dim dblXmax As Double, dblYmax As Double
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.DraftDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    'Get the Active Sheet object
    Set objSheet = objDoc.ActiveSheet
    'create a datumpoints' collection.
    Set objDatumPoints = objSheet.DatumPoints
    'add a datumpoint to collection
    Set objDatumPoint = objDatumPoints.Add(x1:=0.2, y1:=0.2, z1:=0)

    Call objDatumPoint.Range(XMinimum:=dblXmin, YMinimum:=dblYmin, _
                             XMaximum:=dblXmax, YMaximum:=dblYmax)




    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objSheet = Nothing
    Set objDatumPoints = Nothing
    Set objDatumPoint = Nothing
End Sub
See Also

DatumPoint Object  | DatumPoint Members

Send comments on this topic.